Bug 1004094 - Review Request: cups-x2go - CUPS backend for printing from X2Go
Review Request: cups-x2go - CUPS backend for printing from X2Go
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998551
  Show dependency treegraph
 
Reported: 2013-09-03 18:57 EDT by Orion Poplawski
Modified: 2013-10-19 17:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: cups-x2go-3.0.0.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-03 18:57:26 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/cups-x2go.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/cups-x2go-3.0.0.4-1.fc19.src.rpm
Description: 
CUPS backend for printing from X2Go.

Fedora Account System Username: orion
Comment 1 Christopher Meng 2013-09-04 00:43:12 EDT
Improvement:

1. Avoid attr() nowadays. Please correc its permission when installing it:

install -pm755 cups-x2go %{buildroot}%{_prefix}/lib/cups/backend/

2. Drop %doc as it doesn't exist.

3. %{_sysconfdir}/cups/cups-x2go.conf

should be added %config(noreplace)

4. New Fedora Review tool is very nice, it told me that you shouldn't own a dir already taken by other packages:

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/x2go(x2goserver),
     /usr/share/x2go/versions(x2goserver)

So you should correct %{_datadir}/x2go/.

5. cups-x2go.noarch: W: non-standard-group Server

So, fix it or drop the group tag.

6. cups-x2go.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
Comment 2 Orion Poplawski 2013-09-04 12:02:48 EDT
(In reply to Christopher Meng from comment #1)
> Improvement:
> 
> 1. Avoid attr() nowadays. Please correc its permission when installing it:
> 
> install -pm755 cups-x2go %{buildroot}%{_prefix}/lib/cups/backend/
> 
> 2. Drop %doc as it doesn't exist.
> 
> 3. %{_sysconfdir}/cups/cups-x2go.conf
> 
> should be added %config(noreplace)

All fixed.

> 4. New Fedora Review tool is very nice, it told me that you shouldn't own a
> dir already taken by other packages:
> 
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/share/x2go(x2goserver),
>      /usr/share/x2go/versions(x2goserver)
> 
> So you should correct %{_datadir}/x2go/.

The problem is the cups-x2go can be installed independently of x2goserver, so they both need to own it.
 
> 5. cups-x2go.noarch: W: non-standard-group Server
> 
> So, fix it or drop the group tag.

Fixed - kept for EL6

> 6. cups-x2go.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab:
> line 1)

Fixed

* Wed Sep 4 2012 Orion Poplawski <orion@cora.nwra.com> 3.0.0.4-2
- Use install to set permissions on cups-x2go
- Drop %%doc for now
- Mark config file as %%config(noreplace)
- Fix Group
- Drop tabs

http://www.cora.nwra.com/~orion/fedora/nx/cups-x2go.spec
http://www.cora.nwra.com/~orion/fedora/nx/cups-x2go-3.0.0.4-2.fc19.src.rpm
Comment 3 Christopher Meng 2013-09-04 20:16:58 EDT
OK.

APPROVED.
Comment 4 Orion Poplawski 2013-09-04 21:08:55 EDT
New Package SCM Request
=======================
Package Name: cups-x2go
Short Description: CUPS backend for printing from X2Go
Owners: orion
Branches: f20 f19 f18 el6
InitialCC:
Comment 5 Orion Poplawski 2013-09-04 21:09:15 EDT
Thanks for the review!
Comment 6 Gwyn Ciesla 2013-09-05 08:16:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-09-05 11:19:09 EDT
cups-x2go-3.0.0.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cups-x2go-3.0.0.4-2.fc20
Comment 8 Fedora Update System 2013-09-05 13:52:42 EDT
cups-x2go-3.0.0.4-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-09-22 20:37:21 EDT
cups-x2go-3.0.0.4-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.